Authorize Figma
curl --request GET \
--url https://api.klavis.ai/oauth/figma/authorizeimport requests
url = "https://api.klavis.ai/oauth/figma/authorize"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.klavis.ai/oauth/figma/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET'};
fetch('https://api.klavis.ai/oauth/figma/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}OAuth Servers
Authorize Figma
Start Figma OAuth flow
Parameters:
- instance_id: Identifier for the instance requesting authorization
- client_id: Optional client ID for white labeling
- scope: Optional scopes to request (space-separated)
- redirect_url: Optional URL to redirect to after authorization completes
GET
/
oauth
/
figma
/
authorize
Authorize Figma
curl --request GET \
--url https://api.klavis.ai/oauth/figma/authorizeimport requests
url = "https://api.klavis.ai/oauth/figma/authorize"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.klavis.ai/oauth/figma/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET'};
fetch('https://api.klavis.ai/oauth/figma/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Query Parameters
Unique identifier for the client instance requesting authorization
Client ID for white labeling, if not provided will use default credentials
Optional OAuth scopes to request
Optional URL to redirect to after authorization completes
Response
Successful Response
